package com.simuwang.base.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * FileName: CompanyInformationMapper
 * Author:   chenjianhua
 * Date:     2024/9/6 15:30
 * Description: ${DESCRIPTION}
 */
@Mapper
public interface CompanyInformationMapper {
    public List<Map<String, String>> searchCompanyInfoByKeyword(@Param("keyword") String keyword);

    String getCompanyNameByFundId(@Param("fundId") String fundId);

    Long countCompanyTotal();
}
