package com.simuwang.base.pojo.dos.report;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @author wangzaijun
 * @date 2024/9/26 16:44
 * @description 基协报告基础信息表
 */
@Setter
@Getter
@TableName("amac_report_base_info")
public class ReportBaseInfoDO extends BaseReportDO {
    /**
     * 报告日期
     */
    private Date reportDate;
    /**
     * 报告名称
     */
    private String reportName;
    /**
     * 报告类型
     */
    private String reportType;
}
