package com.simuwang.base.pojo.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * FileName: EmailTaskInfo
 * Author:   chenjianhua
 * Date:     2024/10/8 9:13
 * Description: ${DESCRIPTION}
 */
@Data
public class EmailTaskInfoVO {
    /**
     * 主键Id
     */
    private Integer id;
    /**
     * 任务名称
     */
    private String taskName;
    /**
     * 任务类型
     */
    private Integer taskType;
    /**
     * 邮箱地址
     */
    private String email;
    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 结束时间
     */
    private String endTime;
    /**
     * 任务状态,1-运行中，2-结束，-1-异常
     */
    private Integer taskStatus;
    /**
     * 记录的有效性；1-有效；0-无效；
     */
    private Integer isvalid;
    /**
     * 创建时间,默认第一次创建的getdate()时间
     */
    private String createTime;
    /**
     * 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
     */
    private String updateTime;
    /**
     * 创建人
     */
    private String userName;
}
