package com.simuwang.base.pojo.vo;

import lombok.Data;

/**
 * @author wangzaijun
 * @date 2024/9/14 14:04
 * @description 系统操作日志记录
 */
@Data
public class LoggingVO {
    /**
     * 主键ID
     */
    private Integer id;
    /**
     * 模块名称
     */
    private String title;
    /**
     * 请求路径
     */
    private String requestUri;
    /**
     * 请求方法
     */
    private String method;
    /**
     * 调用IP
     */
    private String remoteAddr;
    /**
     * 执行时间
     */
    private Long executeTime;
    /**
     * 请求参数
     */
    private String params;
    /**
     * 用户名称
     */
    private String userName;

    /**
     * 创建时间
     */
    private String createTime;
}
