package com.simuwang.base.pojo.vo;

import lombok.Data;

/**
 * FileName: NavFailAnalysisVO
 * Author:   chenjianhua
 * Date:     2024/10/14 13:39
 * Description: ${DESCRIPTION}
 */
@Data
public class NavFailAnalysisVO {
    /**
     * 无法从PDF文件中获取到数据
     */
    private Long pdfNoData;
    /**
     * 缺少净值日期
     */
    private Long priceDateMiss;
    /**
     * 单位净值和累计净值和资产净值均缺失
     */
    private Long navMiss;
    /**
     * 基金名称和备案编码均缺失
     */
    private Long fundNameNumberMiss;
}
