package com.simuwang.base.common.enums;

import lombok.Getter;

@Getter
public enum ReportType {
    MONTHLY(0, "月", new String[]{"月", "月度", "月报"}),
    QUARTERLY(1, "季", new String[]{"季", "季度", "季报"}),
    ANNUALLY(2, "年", new String[]{"年度", "年报"});

    private final int type;
    private final String label;
    private final String[] patterns;

    ReportType(int type, String label, String[] patterns) {
        this.type = type;
        this.label = label;
        this.patterns = patterns;
    }
}
