package com.simuwang.base.pojo.dos.report;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.simuwang.base.common.exception.APIException;
import com.simuwang.base.common.support.dos.DataEntity;
import com.simuwang.base.common.support.vo.BaseVO;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public abstract class BaseReportDO extends DataEntity<BaseVO> {
    @TableId(type = IdType.AUTO)
    private Integer id;

    private Integer fileId;

    @Override
    public BaseVO toVo() {
        // 没有转换为VO对象的逻辑
        throw new APIException("not impl");
    }
}
