package com.simuwang.base.pojo.dos.report;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * @author wangzaijun
 * @date 2024/9/26 16:49
 * @description 按行业分类的股票投资组合
 */
@Setter
@Getter
@TableName("amac_report_invest_industry")
public class ReportInvestmentIndustryDO extends BaseReportDO {
    /**
     * 行业分类编码
     */
    private String industryCode;
    /**
     * 行业分类名称
     */
    private String industryName;
    /**
     * 投资地区: 1-境内, 2-港股通
     */
    private Integer investType;
    /**
     * 行业标准编码
     */
    private String isbCode;
    /**
     * 公允价值
     */
    private BigDecimal marketValue;
    /**
     * 占基金资产净值的比例
     */
    private BigDecimal ratio;
}
