package com.simuwang.base.pojo.dto;

/**
 * FileName: QuartzBean
 * Author:   chenjianhua
 * Date:     2024/9/17 10:26
 * Description: ${DESCRIPTION}
 */
import lombok.Data;

import java.io.Serializable;

@Data
public class QuartzBean implements Serializable {

    private static final long  serialVersionUID = 2024102715390021L;
    /**
     * 任务id
     */
    private String id;

    /**
     * 任务名称
     */
    private String jobName;

    /**
     * 任务执行类
     */
    private String jobClass;

    /**
     * 组名
     */
    private String groupName;

    /**
     * 任务 参数信息
     */
    private String jobParam;

    /**
     * 任务状态 启动还是暂停
     */
    private Integer status;

    /**
     * 任务运行时间表达式
     */
    private String cronExpression;
}
