package com.simuwang.daq.components.report.writer;

import com.simuwang.base.mapper.report.*;
import com.simuwang.base.pojo.dto.report.AnnuallyReportData;
import org.springframework.stereotype.Component;

@Component(ReportWriterConstant.WRITER_ANNUALLY)
public class AnnuallyReportWriter extends QuarterlyReportWriter<AnnuallyReportData> {
    public AnnuallyReportWriter(ReportBaseInfoMapper baseInfoMapper, ReportFundInfoMapper fundInfoMapper,
                                ReportShareChangeMapper shareChangeMapper, ReportAssetAllocationMapper assetAllocationMapper,
                                ReportInvestmentIndustryMapper investmentIndustryMapper, ReportFinancialIndicatorMapper financialIndicatorMapper) {
        super(baseInfoMapper, fundInfoMapper, shareChangeMapper, assetAllocationMapper, investmentIndustryMapper, financialIndicatorMapper);
    }
}
