package com.simuwang.manage.service;

import com.simuwang.base.common.support.MybatisPage;
import com.simuwang.base.pojo.dto.query.FundInfoPageQuery;
import com.simuwang.base.pojo.dto.query.FundInputPageQuery;
import com.simuwang.base.pojo.vo.FundInfoSearchVO;
import com.simuwang.base.pojo.vo.FundInfoVO;
import com.simuwang.base.pojo.vo.FundInformationVO;
import com.smppw.common.pojo.ResultVo;

import java.util.List;
import java.util.Map;

/**
 * FileName: FundInformationService
 * Author:   chenjianhua
 * Date:     2024/9/6 15:08
 * Description: ${DESCRIPTION}
 */
public interface FundInformationService {
    MybatisPage<FundInfoSearchVO> searchFundInfo(FundInputPageQuery fundInputPageQuery);

    MybatisPage<FundInformationVO> searchFundInfoList(FundInfoPageQuery fundInfoPageQuery);

    ResultVo<FundInfoVO> searchFundDetail(String fundId);
}
